diff --git a/web/modules/custom/synonyms/modules/synonyms_search/src/SynonymsService/Behavior/SearchService.php b/web/modules/custom/synonyms/modules/synonyms_search/src/SynonymsService/Behavior/SearchService.php
index 768046e..8be5083 100644
--- a/web/modules/custom/synonyms/modules/synonyms_search/src/SynonymsService/Behavior/SearchService.php
+++ b/web/modules/custom/synonyms/modules/synonyms_search/src/SynonymsService/Behavior/SearchService.php
@@ -154,6 +154,8 @@ public function entityMarkForReindexMultiple(array $entity_ids, $entity_type) {
         if ($field && $field->getSetting('target_type') == $entity_type) {
           $query = $this->entityTypeManager->getStorage($host_entity_type)->getQuery();
           $query->condition($field_name, $entity_ids, 'IN');
+          // Scan regardless of access permissions
+          $query->accessCheck(FALSE);
           $result = $query->execute();
 
           // For the sake of performance we do a direct query on the
diff --git a/web/modules/custom/synonyms/modules/synonyms_search/synonyms_search.module b/web/modules/custom/synonyms/modules/synonyms_search/synonyms_search.module
index 110b496..2c3cbf4 100644
--- a/web/modules/custom/synonyms/modules/synonyms_search/synonyms_search.module
+++ b/web/modules/custom/synonyms/modules/synonyms_search/synonyms_search.module
@@ -73,6 +73,8 @@ function synonyms_search_synonym_reindex(SynonymInterface $synonym) {
     $label_column = $entity_type->id() == 'user' ? 'name' : $entity_type->getKey('label');
 
     $query->condition($label_column, $bundle);
+    // Scan regardless of access permissions
+    $query->accessCheck(FALSE);
     $result = $query->execute();
     \Drupal::service('synonyms.behavior.search')->entityMarkForReindexMultiple(array_values($result), $entity_type->id());
   }
diff --git a/web/modules/custom/synonyms/modules/synonyms_views_argument_validator/src/Plugin/views/argument_validator/SynonymsEntity.php b/web/modules/custom/synonyms/modules/synonyms_views_argument_validator/src/Plugin/views/argument_validator/SynonymsEntity.php
index 936d128..c79620f 100644
--- a/web/modules/custom/synonyms/modules/synonyms_views_argument_validator/src/Plugin/views/argument_validator/SynonymsEntity.php
+++ b/web/modules/custom/synonyms/modules/synonyms_views_argument_validator/src/Plugin/views/argument_validator/SynonymsEntity.php
@@ -47,6 +47,8 @@ public function validateArgument($argument) {
       $label_column = $entity_type->id() == 'user' ? 'name' : $entity_type->getKey('label');
 
       $query->condition($label_column, $argument, '=');
+      // Scan regardless of access permissions
+      $query->accessCheck(FALSE);
 
       if ($entity_type->hasKey('bundle') && !empty($this->options['bundles'])) {
         $query->condition($entity_type->getKey('bundle'), $this->options['bundles'], 'IN');
diff --git a/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/BaseField.php b/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/BaseField.php
index 036703d..80287f9 100644
--- a/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/BaseField.php
+++ b/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/BaseField.php
@@ -103,7 +103,8 @@ public function synonymsFind(ConditionInterface $condition) {
 
     $this->synonymsFindProcessCondition($condition, $this->getPluginDefinition()['field'], $entity_keys['id']);
     $query->condition($condition);
-
+    // Scan regardless of access permissions
+    $query->accessCheck(FALSE);
     return $query->execute();
   }
 
diff --git a/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/EntityReferenceField.php b/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/EntityReferenceField.php
index 68fdc08..f5084be 100644
--- a/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/EntityReferenceField.php
+++ b/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/EntityReferenceField.php
@@ -130,7 +130,8 @@ public function synonymsFind(ConditionInterface $condition) {
     }
 
     $query->condition($entity_condition);
-
+    // Scan regardless of access permissions
+    $query->accessCheck(FALSE);
     // We need run the entity query in order to force it into building a normal
     // SQL query.
     $query->execute();
diff --git a/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/Field.php b/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/Field.php
index 5941055..76d786f 100644
--- a/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/Field.php
+++ b/web/modules/custom/synonyms/src/Plugin/Synonyms/Provider/Field.php
@@ -139,6 +139,8 @@ public function synonymsFind(ConditionInterface $condition) {
     }
 
     $query->condition($entity_condition);
+    // Scan regardless of access permissions
+    $query->accessCheck(FALSE);
 
     // We need run the entity query in order to force it into building a normal
     // SQL query.
diff --git a/web/modules/custom/synonyms/src/SynonymsService/ProviderService.php b/web/modules/custom/synonyms/src/SynonymsService/ProviderService.php
index 4d3ee18..3038b10 100644
--- a/web/modules/custom/synonyms/src/SynonymsService/ProviderService.php
+++ b/web/modules/custom/synonyms/src/SynonymsService/ProviderService.php
@@ -159,6 +159,8 @@ public function getBySynonym(EntityTypeInterface $entity_type, $name, $bundle =
 
       $query = $this->entityTypeManager->getStorage($entity_type->id())->getQuery();
       $query->condition($label_column, $name);
+      // Scan regardless of access permissions
+      $query->accessCheck(FALSE);
       if ($entity_type->hasKey('bundle') && $bundle) {
         $query->condition($entity_type->getKey('bundle'), $bundle);
       }
